Identity
Date: 2016-06-24

java.security

## Class Identity

- java.lang.Object
- - java.security.Identity

- All Implemented Interfaces:
    Serializable, Principal
  Direct Known Subclasses:
    IdentityScope, Signer

  Deprecated.

      public abstract class Identity
      extends Object
      implements Serializable, Principal

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Identity()` Deprecated.
    `` | `Identity(String var0)` Deprecated.
    `` | `Identity(String var0, IdentityScope var1)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCertificate(Certificate var0)` Deprecated.
    `Certificate[]` | `certificates()` Deprecated.
    `boolean` | `equals(Object var0)` Deprecated.
    `String` | `getInfo()` Deprecated.
    `String` | `getName()` Deprecated.
    `PublicKey` | `getPublicKey()` Deprecated.
    `IdentityScope` | `getScope()` Deprecated.
    `protected boolean` | `identityEquals(Identity var0)` Deprecated.
    `void` | `removeCertificate(Certificate var0)` Deprecated.
    `void` | `setInfo(String var0)` Deprecated.
    `void` | `setPublicKey(PublicKey var0)` Deprecated.
    `String` | `toString(boolean var0)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `hashCode, toString`

- - ### Constructor Detail

    - #### Identity

          protected Identity()

      Deprecated.

    - #### Identity

          public Identity(String var0)

      Deprecated.

    - #### Identity

          public Identity(String var0,
                  IdentityScope var1)
                   throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

  - ### Method Detail

    - #### addCertificate

          public void addCertificate(Certificate var0)
                              throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

    - #### certificates

          public Certificate[] certificates()

      Deprecated.

    - #### equals

          public final boolean equals(Object var0)

      Deprecated.
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`

    - #### getInfo

          public String getInfo()

      Deprecated.

    - #### getName

          public final String getName()

      Deprecated.
      Specified by:
        `getName` in interface `Principal`

    - #### getPublicKey

          public PublicKey getPublicKey()

      Deprecated.

    - #### getScope

          public final IdentityScope getScope()

      Deprecated.

    - #### identityEquals

          protected boolean identityEquals(Identity var0)

      Deprecated.

    - #### removeCertificate

          public void removeCertificate(Certificate var0)
                                 throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

    - #### setInfo

          public void setInfo(String var0)

      Deprecated.

    - #### setPublicKey

          public void setPublicKey(PublicKey var0)
                            throws KeyManagementException

      Deprecated.
      Throws:
        `KeyManagementException`

    - #### toString

          public String toString(boolean var0)

      Deprecated.